Get the inference region policy Generally available

GET /_inference/_region_policy

Required authorization

  • Cluster privileges: monitor_inference

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • region_policy object Required

      The region policy configuration. Specify exactly one of allowed_geos or allowed_regions.

      Hide region_policy attributes Show region_policy attributes object
      • allowed_geos array[string]

        The list of allowed geographic areas. Mutually exclusive with allowed_regions.

      • allowed_regions array[object]

        The list of allowed cloud service provider regions. Mutually exclusive with allowed_geos.

        Hide allowed_regions attributes Show allowed_regions attributes object

        A cloud service provider region.

        • csp string Required

          The cloud service provider, for example aws, gcp, or azure.

        • region string Required

          The region of the cloud service provider, for example us-east-1.

    • created_at string | number Required

      The date and time the region policy was created.

      One of:

      Time unit for milliseconds

    • created_by string

      The user who created the region policy.

    • updated_at string | number

      The date and time the region policy was last updated.

      One of:

      Time unit for milliseconds

    • updated_by string

      The user who last updated the region policy.

GET /_inference/_region_policy
curl \
 --request GET 'http://api.example.com/_inference/_region_policy' \
 --header "Authorization: $API_KEY"
Response examples (200)
A successful response when retrieving the currently configured region policy.
{
  "region_policy": {
    "allowed_geos": ["us", "eu"]
  },
  "created_at": "2026-07-13T12:00:00.000Z",
  "created_by": "inference_user",
  "updated_at": "2026-07-13T13:30:00.000Z",
  "updated_by": "inference_user"
}